Page MenuHomePhabricator

mediawiki.ui: dependency to module .anchor caused button regression
Closed, ResolvedPublic

Description

regression in font of button (hover)

I open this bug for Echo, because i haven't found any use for mediawiki.ui.anchor, so i want to ask the dev's if it's possible to remove this dependency from ext.echo.overlay:
https://github.com/wikimedia/mediawiki-extensions-Echo/blob/acce7cc9fbd093ab1d6149df7156ed77837cbe9c/Resources.php#L60

because it's unused (?) but caused a regression to buttons :hover and :focus color (see pictures) when wgUseMediaWikiUIEverywhere is true.


Version: master
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=70801

Attached:

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:59 AM
bzimport added a project: Notifications.
bzimport set Reference to bz70818.
bzimport added a subscriber: Unknown Object (MLST).
Florian created this task.Sep 13 2014, 11:26 PM

Created attachment 16463
regression in font of button (focus)

Attached:

It's not unused, unfortunately (it's used for the "Alerts (0)" or however many you have, which is "(echo-notification-alert)"), but this is a valid bug.

shahyar+wmfbugzilla wrote:

Should be resolved by https://gerrit.wikimedia.org/r/#/c/123804/

(In reply to Shahyar Ghobadpour from comment #3)

Should be resolved by https://gerrit.wikimedia.org/r/#/c/123804/

Tested -> solved. Thanks!

Patch was reverted.

Change 194012 had a related patch set uploaded (by Mattflaschen):
Use mw-ui-anchor class

https://gerrit.wikimedia.org/r/194012

The bug should not occur anymore since I merged rMW2568fbbdd42e: Change mw-ui anchors to require mw-ui-anchor base class, and introduce mw-ui…. However, that also means we weren't getting the desired color, since a class is now required. The patch solves that.

The core patch I linked prevents mw-ui-progressive from spilling over into other modules (i.e. affecting buttons) when no other class (e.g. mw-ui-text, mw-ui-anchor) is specified.

EBernhardson triaged this task as Normal priority.Mar 3 2015, 6:50 PM
EBernhardson added a subscriber: EBernhardson.

Change 194012 merged by jenkins-bot:
Use mw-ui-anchor class

https://gerrit.wikimedia.org/r/194012